QGIS Application - Bug report #12816
a number of buttons are oversized under gnome shell's default gtk theme
2015-05-23 09:33 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: linux Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20912
Description

After being driven to madness by ubuntu unity's poor window focus management, I've decided to switch to Gnome Shell 3.16. | spotted a
significant Ul problem under gnome shell's default gtk theme (Adwaita), whereas the toolbar buttons of panels (layers panel, browser
panel, etc.) are way too big. See attached screenshot "icon-oversized.png".

It's also affecting the effect button in the layer property's symbology pane.

The version of gnome shell I'm running is from ubuntu's gnome-staging PPA, but I'm assuming things look as unwelcoming under Fedora.

Associated revisions

Revision a0aicea0 - 2015-05-24 09:31 AM - Mathieu Pellerin - nIRV

[gui] apply icon size user preference to dock widget tool buttons (fix #12816)

History

#1 - 2015-05-23 09:42 PM - Mathieu Pellerin - nIRV

| should say that | set my toolbar button to 16px.

The proper fix here should probably be for the dockable panel toolbar's button to respect the toolbar button size set in QGIS' preference.

#2 - 2015-05-27 06:45 AM - Mathieu Pellerin - nIRV
- Status changed from Open to Closed

Fixed in changeset commit:"a0a1ceale17b09264c60ba0d1d29560013ca060f".
